## kwin-selenium 6.4.4

=== debian/changelog ===
kwin-selenium (4:6.4.4-0zneon+24.04+noble+release+build1) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 06:27:41 +0000

kwin-selenium (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:35:27 +0000
