=== debian/control ===
Source: kwin-selenium
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               g++-14,
               gcc-14,
               hwdata,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kglobalaccel-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kidletime-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               kf6-ksvg-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kglobalacceld-dev,
               kwayland-dev,
               libcanberra-dev,
               libcap-dev [linux-any],
               libdisplay-info-dev,
               libdrm-dev (>= 2.4.62~),
               libegl1-mesa-dev (>= 1.2~),
               libeis-dev,
               libepoxy-dev (>= 1.2),
               libfontconfig-dev,
               libfreetype-dev,
               libgbm-dev,
               libice-dev,
               libinput-dev (>= 1.9~),
               libkdecorations3-dev,
               liblcms2-dev,
               libpipewire-0.3-dev,
               libplasma-dev,
               libqaccessibilityclient-qt6-dev,
               libsm-dev,
               libudev-dev [linux-any],
               libwayland-dev (>= 1.22),
               libx11-xcb-dev,
               libxcb-composite0-dev (>= 1.10~),
               libxcb-cursor-dev,
               libxcb-damage0-dev (>= 1.10~),
               libxcb-dri3-dev,
               libxcb-glx0-dev (>= 1.10~),
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-present-dev,
               libxcb-randr0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xtest0-dev,
               libxcb1-dev (>= 1.10~),
               libxcursor-dev,
               libxcvt-dev,
               libxi-dev,
               libxkbcommon-dev (>= 0.7.0~),
               libxkbcommon-x11-dev,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-sensors-dev,
               qt6-tools-dev,
               qt6-wayland-dev,
               wayland-protocols,
               xwayland
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/kwin
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kwin-selenium-tester.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kwin-selenium-tester
Maintainer: Neon CI <neon@kde.org>

Package: kwin-selenium-tester
Architecture: any
X-Neon-MergedPackage: true
Depends: kf6-kcolorscheme,
         kf6-kconfig,
         kf6-kconfigwidgets,
         kf6-kcoreaddons,
         kf6-kcrash,
         kf6-kdbusaddons,
         kf6-kglobalaccel,
         kf6-ki18n,
         kf6-kiconthemes,
         kf6-kidletime,
         kf6-kpackage,
         kf6-kservice,
         kf6-ksvg,
         kf6-kwidgetsaddons,
         kf6-kwindowsystem,
         kwayland,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE window manager, selenium tester version
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. This is the wayland
 powered backend for use with the selenium-webdriver-at-spi
 package for user interface testing amongst other things

Package: kwin-selenium-tester-dev
Section: libdevel
Architecture: any
X-Neon-MergedPackage: true
Depends: kf6-kwindowsystem-dev,
         libegl1-mesa-dev (>= 1.2~),
         libepoxy-dev (>= 1.2),
         libwayland-dev,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE window manager - devel files
 KWin (pronounced as one syllable "kwin") is the window
 manager for the KDE Plasma Desktop. It gives you complete
 control over your windows, making sure they're not in the way
 but aid you in your task. It paints the window decoration,
 the bar on top of every window with (configurable) buttons
 like close, maximize and minimize. It also handles placing
 of windows and switching between them.
 .
 This package is part of the KDE base workspace module.
