## kwin-selenium 6.4.5

=== debian/changelog ===
kwin-selenium (4:6.4.5-0zneon+24.04+noble+release+build3) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 09:33:23 +0000

kwin-selenium (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 17:38:41 +0000
