## kwin-selenium 6.4.5+p24.04+vstable+git20251001.1131

=== debian/changelog ===
kwin-selenium (4:6.4.5+p24.04+vstable+git20251001.1131-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:31:42 +0000
