## kwin-selenium 6.4.5+p24.04+vunstable+git20251009.0522

=== debian/changelog ===
kwin-selenium (4:6.4.5+p24.04+vunstable+git20251009.0522-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 05:22:50 +0000
