## kwin-selenium 6.4.5+p24.04+vunstable+git20251015.1122

=== debian/changelog ===
kwin-selenium (4:6.4.5+p24.04+vunstable+git20251015.1122-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:22:29 +0000
