## kwin-selenium 6.5.0+p24.04+vstable+git20251028.1304

=== debian/changelog ===
kwin-selenium (4:6.5.0+p24.04+vstable+git20251028.1304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 13:04:56 +0000

kwin-selenium (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:18:15 +0000
