=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

# need gcc 14
export CC=gcc-14
export CXX=g++-14

override_dh_auto_configure:
	dh_auto_configure 

%:
	dh $@ --with kf6 --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_CXX_STANDARD=23 \
	-DCMAKE_INSTALL_PREFIX=/opt/kwin-selenium-tester \
	-DKWIN_BUILD_DECORATIONS=ON \
	-DKWIN_BUILD_KCMS=OFF \
	-DKWIN_BUILD_NOTIFICATIONS=OFF \
	-DKWIN_BUILD_SCREENLOCKER=OFF \
	-DKWIN_BUILD_TABBOX=OFF \
	-DKWIN_BUILD_X11=ON \
	-DKWIN_BUILD_X11_BACKEND=OFF \
	-DKWIN_BUILD_GLOBALSHORTCUTS=ON \
	-DKWIN_BUILD_RUNNERS=OFF \
	-DBUILD_TESTING=OFF

override_dh_auto_test:
	#do not run tests
	true
