=== debian/changelog ===
kwin-selenium (4:6.5.1+p24.04+vstable+git20251029.0925-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 09:25:22 +0000

kwin-selenium (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:35:06 +0000
