## kwin-selenium 6.5.1+p24.04+vstable+git20251030.0413

=== debian/changelog ===
kwin-selenium (4:6.5.1+p24.04+vstable+git20251030.0413-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 04:13:27 +0000
