=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
                kf6-kwidgetsaddons-dev,
                kf6-kwindowsystem-dev,
                kglobalacceld-dev,
+               knighttime-dev,
                kwayland-dev,
                libcanberra-dev,
                libcap-dev [linux-any],
