## kwin-selenium 6.5.1+p24.04+vstable+git20251031.0949

=== debian/changelog ===
kwin-selenium (4:6.5.1+p24.04+vstable+git20251031.0949-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:49:23 +0000
