## kwin-selenium 6.5.3

=== debian/changelog ===
kwin-selenium (4:6.5.3-0zneon+24.04+noble+release+build15) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 09:19:17 +0000

kwin-selenium (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:11:54 +1000
