## kwin-selenium 6.5.3+p24.04+vstable+git20260101.0114

=== debian/changelog ===
kwin-selenium (4:6.5.3+p24.04+vstable+git20260101.0114-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:15:03 +0000
