=== debian/changelog ===
kwin-selenium (4:6.5.3+p24.04+vstable+git20260122.0855-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 08:55:38 +0000
