## kwin-selenium 6.5.3+p24.04+vstable+git20260126.1223

=== debian/changelog ===
kwin-selenium (4:6.5.3+p24.04+vstable+git20260126.1223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 12:23:59 +0000
