## kwin-selenium 6.5.3+p24.04+vunstable+git20260129.0315

=== debian/changelog ===
kwin-selenium (4:6.5.3+p24.04+vunstable+git20260129.0315-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 03:15:26 +0000
