## kwin-selenium 6.5.3+p24.04+vunstable+git20260201.0627

=== debian/changelog ===
kwin-selenium (4:6.5.3+p24.04+vunstable+git20260201.0627-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:27:53 +0000
